apiVersion: machine.openshift.io/v1beta1
kind: MachineSet
metadata:
  creationTimestamp: null
  labels:
    machine.openshift.io/cluster-api-cluster: stephenfin-psi-r57l8
    machine.openshift.io/cluster-api-machine-role: worker
    machine.openshift.io/cluster-api-machine-type: worker
  name: stephenfin-psi-r57l8-worker-0
  namespace: openshift-machine-api
spec:
  replicas: 1
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: stephenfin-psi-r57l8
      machine.openshift.io/cluster-api-machineset: stephenfin-psi-r57l8-worker-0
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: stephenfin-psi-r57l8
        machine.openshift.io/cluster-api-machine-role: worker
        machine.openshift.io/cluster-api-machine-type: worker
        machine.openshift.io/cluster-api-machineset: stephenfin-psi-r57l8-worker-0
    spec:
      lifecycleHooks: {}
      metadata: {}
      providerSpec:
        value:
          apiVersion: machine.openshift.io/v1alpha1
          cloudName: openstack
          cloudsSecret:
            name: openstack-cloud-credentials
            namespace: openshift-machine-api
          flavor: ci.m1.large
          image: rhcos-4.16
          kind: OpenstackProviderSpec
          metadata:
            creationTimestamp: null
          networks:
          - filter: {}
            subnets:
            - filter:
                tags: openshiftClusterID=stephenfin-psi-r57l8
          securityGroups:
          - filter: {}
            name: stephenfin-psi-r57l8-worker
          serverGroupName: stephenfin-psi-r57l8-worker
          serverMetadata:
            Name: stephenfin-psi-r57l8-worker
            openshiftClusterID: stephenfin-psi-r57l8
          tags:
          - openshiftClusterID=stephenfin-psi-r57l8
          trunk: true
          userDataSecret:
            name: worker-user-data
status:
  replicas: 0
